import type { Parser } from '.';
/**
 * Build an array of parser rules from those included in the package:
 * an extensive set suitable for highlighting localizable text.
 * Originally built for and used by [Pontoon](https://pontoon.mozilla.org/).
 *
 * All options default to `false`:
 * - `fluent`: Include rules for [Project Fluent](https://projectfluent.org/) syntax.
 * - `leadingSpaces`: Include rules for leading spaces.
 *
 * For a fully custom set of rules,
 * explore and import the individual rules available under `react-content-marker/lib/parsers/`
 * and build your own rule array.
 */
export declare function getRules(opt?: {
    fluent?: boolean;
    leadingSpaces?: boolean;
}): Parser[];
