/// <reference types="react" />
/**
 * Marks `alt` attributes and their values inside XML tags.
 *
 * Example matches:
 *
 *   alt="image description"
 *   ALT=""
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L55
 */
export declare const altAttribute: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
