/// <reference types="react" />
/**
 * Marks terms that look like an email address. Includes an eventual
 * "mailto:" scheme if found.
 *
 * Example matches:
 *
 *   lisa@example.org
 *   mailto:USER@example.me
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L220
 */
export declare const emailPattern: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
