/// <reference types="react" />
/**
 * Marks functions from Fluent syntax.
 *
 * Documentation: https://projectfluent.org/fluent/guide/functions.html
 *
 * Example matches:
 *
 *   {COPY()}
 *   { DATETIME($date) }
 *   { NUMBER($ratio, minimumFractionDigits: 2) }
 */
export declare const fluentFunction: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
