/// <reference types="react" />
/**
 * Marks parametrized term expressions from Fluent syntax.
 *
 * Documentation: https://projectfluent.org/fluent/guide/terms.html#parameterized-terms
 *
 * Example matches:
 *
 *   {-brand(case: "test")}
 *   { -brand(case: "what ever") }
 *   { -brand-name(foo-bar: "now that's a value!") }
 */
export declare const fluentParametrizedTerm: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
