"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fluentParametrizedTerm = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks parametrized term expressions from Fluent syntax.
 *
 * Documentation: https://projectfluent.org/fluent/guide/terms.html#parameterized-terms
 *
 * Example matches:
 *
 *   {-brand(case: "test")}
 *   { -brand(case: "what ever") }
 *   { -brand-name(foo-bar: "now that's a value!") }
 */
exports.fluentParametrizedTerm = {
    rule: /({ ?-[^}]*([^}]*: ?[^}]*) ?})/,
    matchIndex: 1,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "fluentParametrizedTerm", title: "Fluent parametrized term" }, { children: x }))); },
};
