"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fluentTerm = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks term expressions from Fluent syntax.
 *
 * Documentation: https://projectfluent.org/fluent/guide/terms.html
 *
 * Example matches:
 *
 *   {-brand}
 *   { -brand }
 *   { -brand-name }
 */
exports.fluentTerm = {
    rule: /({ ?-[^}]* ?})/,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "fluentTerm", title: "Fluent term" }, { children: x }))); },
};
