/// <reference types="react" />
/**
 * Marks JSON format placeholders as used by the WebExtension API.
 *
 * Terms must start and end with a dollar sign "$" and contain only capital
 * letters or underscores.
 *
 * Example matches:
 *
 *   $USER$
 *   $FIRST_NAME$
 */
export declare const jsonPlaceholder: {
    rule: RegExp;
    tag: (x: string) => JSX.Element;
};
