"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.punctuation = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks individual punctuation characters.
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L229
 */
exports.punctuation = {
    rule: new RegExp('(' +
        '(' +
        /[™©®]|/.source + // Marks
        /[℃℉°]|/.source + // Degree related
        /[±πθ×÷−√∞∆Σ′″]|/.source + // Maths
        /[‘’ʼ‚‛“”„‟]|/.source + // Quote characters
        /[«»]|/.source + // Guillemets
        /[£¥€]|/.source + // Currencies
        /…|/.source + // U2026 - horizontal ellipsis
        /—|/.source + // U2014 - em dash
        /–|/.source + // U2013 - en dash
        /[\u202F]/.source + // U202F - narrow no-break space
        ')+' +
        ')'),
    matchIndex: 0,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "punctuation", title: "Punctuation" }, { children: x }))); },
};
