/// <reference types="react" />
/**
 * Marks Python string formatting variables.
 *
 * Implemented following Python documentation on String Formatting Operations:
 * https://docs.python.org/2/library/stdtypes.html#string-formatting
 *
 * Example matches:
 *
 *   %s
 *   %(tag)d
 *   %(number)3.1d
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L115
 */
export declare const pythonFormattingVariable: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
