"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.pythonFormattingVariable = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks Python string formatting variables.
 *
 * Implemented following Python documentation on String Formatting Operations:
 * https://docs.python.org/2/library/stdtypes.html#string-formatting
 *
 * Example matches:
 *
 *   %s
 *   %(tag)d
 *   %(number)3.1d
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L115
 */
exports.pythonFormattingVariable = {
    rule: /(%(%|(\([^)]+\)){0,1}[-+0#]{0,1}(\d+|\*){0,1}(\.(\d+|\*)){0,1}[hlL]{0,1}[diouxXeEfFgGcrs]{1}))/,
    matchIndex: 0,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "pythonFormattingVariable", title: "Python string formatting variable" }, { children: x }))); },
};
