/// <reference types="react" />
/**
 * Marks printf string formatting variables.
 *
 * See `man 3 printf` for documentation. Not everything is supported.
 *
 * Example matches:
 *
 *   %d
 *   %Id
 *   %33d
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L154
 */
export declare const stringFormattingVariable: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
