"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.unusualSpace = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks unusually placed spaces:
 * - at the end of a line
 * - after a newline or tab
 * - multiple spaces
 *
 * Example matches:
 *
 *   "hello world "
 *   "hello\t world"
 *   "hello  world"
 */
exports.unusualSpace = {
    rule: /( +$|[\r\n\t]( +)| {2,})/,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "unusualSpace", title: "Unusual space" }, { children: x }))); },
};
