/// <reference types="react" />
/**
 * Marks terms that look like a URI.
 *
 * Example matches:
 *
 *   https://example.org
 *   www.example.org/resource/42
 *   ftp://example.org/
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L192
 */
export declare const uriPattern: {
    rule: RegExp;
    matchIndex: number;
    tag: (x: string) => JSX.Element;
};
