"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.uriPattern = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Marks terms that look like a URI.
 *
 * Example matches:
 *
 *   https://example.org
 *   www.example.org/resource/42
 *   ftp://example.org/
 *
 * Source:
 * https://github.com/translate/translate/blob/2.3.1/translate/storage/placeables/general.py#L192
 */
exports.uriPattern = {
    rule: new RegExp('(' +
        '(' +
        '(' +
        /((news|nttp|file|https?|ftp|irc):\/\/)/.source + // has to start with a protocol
        /|((www|ftp)[-A-Za-z0-9]*\.)/.source + // or www... or ftp... hostname
        ')' +
        /([-A-Za-z0-9]+(\.[-A-Za-z0-9]+)*)/.source + // hostname
        /|(\d{1,3}(\.\d{1,3}){3,3})/.source + // or IP address
        ')' +
        /(:[0-9]{1,5})?/.source + // optional port
        /(\/[a-zA-Z0-9-_$.+!*(),;:@&=?/~#%]*)?/.source + // optional trailing path
        /(?=$|\s|([\]'}>),"]))/.source +
        ')', 'i' // This one is not case sensitive.
    ),
    matchIndex: 0,
    tag: function (x) { return ((0, jsx_runtime_1.jsx)("mark", __assign({ "data-mark": "uriPattern", title: "URI" }, { children: x }))); },
};
